PortAudio: Data Fields

PortAudio 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables

- a
- c
- d
- e
- f
- g
- h
- i
- m
- n
- o
- p
- r
- s
- t
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- abort() : com.portaudio.BlockingStream

### - c -

- channelCount : PaStreamParameters
- channelMap : PaMacCoreStreamInfo
- channelMapSize : PaMacCoreStreamInfo
- channelMask : PaWinDirectSoundStreamInfo
- channels : PaWDMKSDirectionSpecificStreamInfo
- close() : com.portaudio.BlockingStream
- currentTime : PaStreamCallbackTimeInfo

### - d -

- defaultHighInputLatency : PaDeviceInfo
- defaultInputDevice : PaHostApiInfo
- defaultLowInputLatency : PaDeviceInfo
- defaultOutputDevice : PaHostApiInfo
- device : PaStreamParameters
- deviceCount : PaHostApiInfo
- deviceProductGuid : PaWinWDMKSDeviceInfo

### - e -

- endpointPinId : PaWDMKSDirectionSpecificStreamInfo
- errorCode : PaHostErrorInfo
- errorText : PaHostErrorInfo

### - f -

- filterPath : PaWinWDMKSDeviceInfo
- flags : PaMacCoreStreamInfo , PaWasapiStreamInfo , PaWinDirectSoundStreamInfo
- FORMAT_FLOAT_32 : com.portaudio.PortAudio
- framesPerBuffer : PaWinDirectSoundStreamInfo
- framesPerHostBuffer : PaWDMKSDirectionSpecificStreamInfo

### - g -

- getDeviceCount() : com.portaudio.PortAudio
- getDeviceInfo() : com.portaudio.PortAudio
- getHostApiCount() : com.portaudio.PortAudio
- getHostApiInfo() : com.portaudio.PortAudio
- getReadAvailable() : com.portaudio.BlockingStream
- getTime() : com.portaudio.BlockingStream
- getVersion() : com.portaudio.PortAudio
- getVersionText() : com.portaudio.PortAudio
- getWriteAvailable() : com.portaudio.BlockingStream

### - h -

- HOST_API_TYPE_DEV : com.portaudio.PortAudio
- HOST_API_TYPE_SOUNDMANAGER : com.portaudio.PortAudio
- hostApi : PaDeviceInfo
- hostApiDeviceIndexToDeviceIndex() : com.portaudio.PortAudio
- hostApiSpecificStreamInfo : PaStreamParameters
- hostApiType : PaWasapiStreamInfo , PaWinWDMKSInfo , PaMacCoreStreamInfo , PaAsioStreamInfo , PaWinMmeStreamInfo , PaWinDirectSoundStreamInfo , PaHostErrorInfo
- hostApiTypeIdToHostApiIndex() : com.portaudio.PortAudio

### - i -

- initialize() : com.portaudio.PortAudio
- inputBufferAdcTime : PaStreamCallbackTimeInfo
- inputLatency : PaStreamInfo
- isFormatSupported() : com.portaudio.PortAudio

### - m -

- muxNodeId : PaWDMKSDirectionSpecificStreamInfo

### - n -

- name : PaHostApiInfo

### - o -

- openStream() : com.portaudio.PortAudio
- outputBufferDacTime : PaStreamCallbackTimeInfo
- outputLatency : PaStreamInfo

### - p -

- play() : com.portaudio.PlaySine

### - r -

- read() : com.portaudio.BlockingStream

### - s -

- sampleFormat : PaStreamParameters
- sampleRate : PaStreamInfo
- size : PaWinDirectSoundStreamInfo , PaWasapiStreamInfo , PaAsioStreamInfo , PaWinWDMKSInfo , PaWinMmeStreamInfo
- start() : com.portaudio.BlockingStream
- stop() : com.portaudio.BlockingStream
- streamingSubType : PaWDMKSDirectionSpecificStreamInfo
- structVersion : PaHostApiInfo , PaStreamInfo
- suggestedLatency : PaStreamParameters

### - t -

- terminate() : com.portaudio.PortAudio
- topologyPath : PaWinWDMKSDeviceInfo
- type : PaHostApiInfo

### - v -

- version : PaAsioStreamInfo , PaWinMmeStreamInfo , PaWinWDMKSInfo , PaWasapiStreamInfo , PaWinDirectSoundStreamInfo , PaMacCoreStreamInfo

### - w -

- write() : com.portaudio.BlockingStream